# Gimp.clone_default

    function clone_default(drawable: Gimp.Drawable, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_clone_default()
    }

Clone from the source to the dest drawable using the current brush

This tool clones (copies) from the source drawable starting at the specified source coordinates to the dest drawable. This function performs exactly the same as the Gimp.clone function except that the tools arguments are obtained from the clones option dialog. It this dialog has not been activated then the dialogs default values will be used.

drawable

  The affected drawable.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.